## golang-github-hiddeco-sshsig 0.1.0

=== debian/changelog ===
golang-github-hiddeco-sshsig (0.1.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 19 Dec 2024 11:46:31 +0100

golang-github-hiddeco-sshsig (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1089831)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 13 Dec 2024 13:05:47 +0100

## golang-github-hiddeco-sshsig 0.2.0

=== Makefile ===
COVERAGE_REPORT ?= coverage.out

.PHONY: help
help: ## Display this help screen
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z_0-9-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

.PHONY: all
all: fmt vet test ## Run fmt, vet and test

.PHONY: test
test: ## Run tests with race detector and coverage
	go test -v -race -coverprofile=$(COVERAGE_REPORT) ./...

.PHONY: fmt
fmt: ## Run go fmt
	go fmt ./...

.PHONY: vet
vet:  ## Run go vet
	go vet ./...

=== debian/changelog ===
golang-github-hiddeco-sshsig (0.2.0-1) unstable; urgency=medium

  * salsa-ci.yml: Build reverse deps.
  * New upstream version 0.2.0
  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 09:44:14 +0200

=== debian/control ===
Source: golang-github-hiddeco-sshsig
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hiddeco-sshsig
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hiddeco-sshsig.git
Homepage: https://github.com/hiddeco/sshsig
XS-Go-Import-Path: github.com/hiddeco/sshsig

Package: golang-github-hiddeco-sshsig-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 ${misc:Depends},
Description: SSH Signature: sign and verify using SSH keys (Go library)
 This Go library implements the SSHSIG wire protocol, and can be used
 to sign and verify messages using SSH keys.
 .
 This package contains the Go development library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/hiddeco/sshsig/tags .*/v?(\d\S*)\.tar\.gz debian
